Package be.fgov.ehealth.certra.protocol.v2

# Class GetCertificateResponse

java.lang.Object
be.fgov.ehealth.commons.protocol.v2.ResponseType
be.fgov.ehealth.commons.protocol.v2.StatusResponseType
be.fgov.ehealth.certra.protocol.v2.GetCertificateResponse

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:10:04+02:00", comments="JAXB RI v4.0.5") public class GetCertificateResponse extends StatusResponseType implements Serializable
This response will contain the certificate signed by the Certificate Authority, together with the entire chain of intermediate Certificate Authorities up to (but excluding) the root CA itself. eHealth authentication certificates are generated asynchronously, if the certificate has not yet been signed then the certificate will be missing and the response will contain an error code instead. Users should either wait until they received a confirmation mail or periodically poll this operation until the certificate has been delivered.

Java class for GetCertificateResponseType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="GetCertificateResponseType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}StatusResponseType">
           <sequence minOccurs="0">
             <element name="X509Certificate" type="{http://www.w3.org/2001/XMLSchema}base64Binary" maxOccurs="unbounded"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetCertificateResponse()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<byte[]>`
  `getX509Certificates()`
  A list of certificates that represents the certificate chain of the requested authentication certificate.

  ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.StatusResponseType

  `getStatus, setStatus`

  ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.ResponseType

  `getId, getInResponseTo, getIssueInstant, setId, setInResponseTo, setIssueInstant`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GetCertificateResponse

    public GetCertificateResponse()

- ## Method Details

  - ### getX509Certificates

    public List<byte[]> getX509Certificates()
    A list of certificates that represents the certificate chain of the requested authentication certificate. The first item in the list is the authentication certificate followed by the correctly ordered list of intermediate CA's that complete the chain excluding the root CA. Gets the value of the x509Certificates property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the x509Certificates property.

    For example, to add a new item, do as follows:

         getX509Certificates().add(newItem);

    Objects of the following type(s) are allowed in the list byte[]

    Returns:
      The value of the x509Certificates property.